PREQUEST3(1)

NAME
prequest3 - Python 3 Pyramid command

SYNOPSIS
prequest3 config_uri path_info [args/options]

DESCRIPTION
Submit a HTTP request to a web application. This command makes an artifical request to a web application that uses a PasteDeploy (.ini) configuration file for the server and application. Use "prequest config.ini /path" to request "/path". Use "prequest --method=POST config.ini /path < data" to do a POST with the given request body. Use "prequest --method=PUT config.ini /path < data" to do a PUT with the given request body. Use "prequest --method=PATCH config.ini /path < data" to do a PATCH with the given request body. Use "prequest --method=OPTIONS config.ini /path" to do an OPTIONS request. Use "prequest --method=PROPFIND config.ini /path" to do a PROPFIND request. If the path is relative (doesn't begin with "/") it is interpreted as relative to "/". The path passed to this script should be URL-quoted. The path can be succeeded with a query string (e.g. `/path?a=1&=b2'). The variable "environ['paste.command_request']" will be set to "True" in the request's WSGI environment, so your application can distinguish these calls from normal requests.

OPTIONS

-h, --help
    show this help message and exit

-n NAME, --app-name=NAME
    Load the named application from the config file (default 'main')

--header=NAME:VALUE
    Header to add to request (you can use this option multiple times)

-d, --display-headers
    Display status and headers before the response body

-m METHOD, --method=METHOD
    Request method type (GET, POST, PUT, PATCH, DELETE, PROPFIND, OPTIONS)

-l LOGIN, --login=LOGIN
    HTTP basic auth username:password pair